#ifndef MAIN_H
#define MAIN_H
/***************************************************************************
    "SVT" Phillip Blair's Spanish Vocabulary Tutor 
    Copyright (C) 1997  Phillip Vaughn Blair
    phillip_blair@writeme.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

**************************************************************************/

#include<unistd.h>    /*for sleep()*/
#include<ncurses/curses.h>
#include<stdlib.h>/*for srand() & getenv()*/
#include<time.h>/*for time()*/
#include<string.h>/*for */

/* from paint_screen.h */
void paint_screen(void);
/* not from paint_screen.h */



/* from build_database.h */
#include<gdbm.h>
/* include<stdlib.h>for exit() & malloc()     */
/* include<unistd.h>    for sleep()*/
/* include<string.h> for strcpy()*/
#include"keydefinitions.h"

void build_database(void);
void open_database_formods(void);
char get_words_from_user(void);
void close_database_frommods(void);
unsigned long stick_it_on(void);
/*from line_in.h*/
void get_lne(char y_in,char x_in,char *english_ptr,char in_length);
void line_out_activate(void);
void line_out_setline(char *input_string);
void line_out_setpos(char x_in,char y_in);
void line_out_setcursorpos(char pos_in);
void line_out_activate(void);


void left_key_handler(void);
void right_key_handler(void);
void my_default_handler(int *character);
void backspace_key_handler(void);
void putupblanks(void);


char english[70];
char spanish[70];
GDBM_FILE dbfvar;
signed char ret_var;
typedef struct
{
   char english[40];
   char spanish[40];
   unsigned int right;
   unsigned int wrong;
   unsigned int ltiwa;
}frame;
unsigned long no_of_records;/*existing number of records 0 (as it should be) here (how do I know that?)*/

/*from line_in.h...*/
unsigned char length;
unsigned char position;
char final_string[200]; /* wider than the widest line! */
char temp_string[200];
char temp_final[200];
char blanks[203];
char temp_blanks[201];
/*from line_out.h...*/
char x;
char y;
char pos;
char *string;
/* not from build_database.h */





/* from practise_nouns.h */
/* in the file from which I took this (practise_nouns.h) it included main.h here.the comment said "for */
/* unsigned long running_total" */
/* the orgnl file included "build_database.h" here for struct frame and the functions to work the input part,and*/
/* open_database_formods()*/
/* include<stdlib.h> for..... for free()*/
/* include<gdbm.h>for..... for free()*/
/* it also included a couple of other system headers */
void practise_nouns(void);
unsigned long get_database_size(void);
void open_database_forcheck(void);
void close_database_fromcheck(void);


GDBM_FILE dbfchkvar;
struct list_struct 
{
   frame f1;
   long unsigned original_frame_no;
}list[10];
/*typedef struct list_struct *list;*/
/* not from practise_nouns.h */




/* from view_database.h */
/* the way the file from which i took this (view_database.h) was structured, it included build_database.h here the comment */
/* said "for no_of_records" but of course, it has been integrated in here, about two sections above */
void view_database(void);
void int_to_chars(unsigned long input,char *returns);
/* not from view_database.h */

void quit(void);
/* from show_copyright.c */
void show_copyright(void);


int character;
unsigned long running_total;
char data_dir_name[405],home[405];/* the names of the datrabase directory and the user's home directory respectively */
WINDOW *win1;
FILE *rcstream;

#endif
